curl --request POST \
--url https://api.smartmove.eu/m2m/api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productCode": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2025-10-17T00:00:00.000Z",
"phone": "<string>",
"email": "<string>",
"contactAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>"
},
"billingAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>",
"company": "<string>",
"vatNumber": "<string>"
}
}
'import requests
url = "https://api.smartmove.eu/m2m/api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users"
payload = {
"productCode": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2025-10-17T00:00:00.000Z",
"phone": "<string>",
"email": "<string>",
"contactAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>"
},
"billingAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>",
"company": "<string>",
"vatNumber": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productCode: '<string>',
firstName: '<string>',
lastName: '<string>',
dateOfBirth: '2025-10-17T00:00:00.000Z',
phone: '<string>',
email: '<string>',
contactAddress: {
address: '<string>',
city: '<string>',
zipCode: '<string>',
federalState: '<string>'
},
billingAddress: {
address: '<string>',
city: '<string>',
zipCode: '<string>',
federalState: '<string>',
company: '<string>',
vatNumber: '<string>'
}
})
};
fetch('https://api.smartmove.eu/m2m/api/admin/v1/{mobilityProviderCountryCode}/{mobilityProviderCode}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"emailVerified": true,
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "2025-10-17T00:00:00.000Z",
"phone": "<string>",
"email": "<string>",
"productCode": "<string>",
"productSubscriptionStart": "<string>",
"productSubscriptionEnd": "<string>",
"contactAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>"
},
"billingAddress": {
"address": "<string>",
"city": "<string>",
"zipCode": "<string>",
"federalState": "<string>",
"company": "<string>",
"vatNumber": "<string>"
},
"driversLicense": {
"licenseType": "<string>",
"issuingAuthority": "<string>",
"licenseNumber": "<string>",
"issueDate": "2025-10-17T00:00:00.000Z",
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>"
}
]
},
"identificationDocument": {
"documentType": "<string>",
"issuingAuthority": "<string>",
"documentNumber": "<string>",
"issueDate": "2025-10-17T00:00:00.000Z",
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>"
}
]
}
}Create user
Create a user under the specified mobility provider
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the mobility provider the user should be created under
2The three-character code of the mobility provider the user should be created under
3Body
The request body contains the information about the user that should be created
Code of chosen mobility product
Customer's first name
Customer's last name
Customer's date of birth
"2025-10-17T00:00:00.000Z"
de, en Customer phone number
Customer email address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Private, Company Response
The created user
Customer id
de, en Is customer email verified
Private, Company Customer first name
Customer last name
Customer date of birth
"2025-10-17T00:00:00.000Z"
Customer phone number
Customer email address
Code of chosen mobility product
Subscription start date of chosen mobility product
Subscription end date of chosen mobility product
New, Incomplete, Pending, Active, Blocked, Inactive Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

